> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Change Shipping Address

PATCH https://restapi.ordergroove.com/orders/{order_id}/change_shipping/
Content-Type: application/json

Changes the shipping address associated with an order.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/orders/change-shipping-address

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Path parameters

- `order_id` (string, required) — Unique order ID

### Body (application/json)

This endpoint expects an object.

- `shipping_address` (string, optional) — Shipping Address ID

## Response

### 200

200

- `merchant` (string, optional)
- `customer` (string, optional)
- `payment` (string, optional)
- `shipping_address` (string, optional)
- `public_id` (string, optional)
- `sub_total` (string, optional)
- `tax_total` (string, optional)
- `shipping_total` (string, optional)
- `discount_total` (string, optional)
- `total` (string, optional)
- `created` (string, optional)
- `place` (string, optional)
- `cancelled` (string, optional)
- `tries` (integer, optional, default: 0)
- `generic_error_count` (integer, optional, default: 0)
- `status` (integer, optional, default: 0)
- `type` (integer, optional, default: 0)
- `order_merchant_id` (string, optional)
- `rejected_message` (string, optional)
- `extra_data` (string, optional)
- `locked` (boolean, optional, default: true)
- `oos_free_shipping` (boolean, optional, default: true)

## Errors

### 400 Bad Request Error

400

- `[field_name]` (string, optional)

### 403 Forbidden Error

403

- `detail` (string, optional)

### 404 Not Found Error

404

- `detail` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "merchant": "ac4f7938383a11e89ecbbc764e1107f2",
  "customer": "00026001",
  "payment": "070001bc02fd11e99542bc764e1043b0",
  "shipping_address": "66c25cd0564011e9abc5bc764e107990",
  "public_id": "c4e05d04ccc411e8ada3bc764e101db1",
  "sub_total": "22.90",
  "tax_total": "0.00",
  "shipping_total": "5.99",
  "discount_total": "21.08",
  "total": "28.89",
  "created": "2018-10-10 14:43:32",
  "place": "2019-06-06 12:08:37",
  "cancelled": "2019-04-05 12:13:32",
  "tries": 1,
  "generic_error_count": 0,
  "status": 1,
  "type": 1,
  "order_merchant_id": "",
  "rejected_message": "",
  "extra_data": "",
  "locked": false,
  "oos_free_shipping": false
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/orders/order_id/change_shipping/"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/orders/order_id/change_shipping/';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/orders/order_id/change_shipping/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/orders/order_id/change_shipping/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://restapi.ordergroove.com/orders/order_id/change_shipping/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://restapi.ordergroove.com/orders/order_id/change_shipping/', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/orders/order_id/change_shipping/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/orders/order_id/change_shipping/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```